Subject: Darwin's 200th Birthday!

From: "Dr. R. Stephens" <[email-masked]>
Date: Thu, 29 Sep 2005 00:26:47 +0000

Re: Darwin Day Celebration 2006
                                             Date: Sept. 27, 2005

Dear science educator:

As we move closer to Darwin's bicentennial birthday on February 12, 
2009, more and more classrooms, universities, libraries, museums, public 
and private groups are joining the annual international Darwin Day 
Celebration of Science and Humanity each year on February 12th!  If you 
have not previously participated we hope that 2006 will be the year you 
join in the fun and informal education.  Be sure to visit our website 
www.DarwinDay.org <http://www.darwinday.org/> for extensive information 
that will help you plan your Darwin Day EVENT.